PSKTlsClient (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.crypto.tls

## Class PSKTlsClient

- java.lang.Object
- - org.bouncycastle.crypto.tls.AbstractTlsPeer
  - - org.bouncycastle.crypto.tls.AbstractTlsClient
    - - org.bouncycastle.crypto.tls.PSKTlsClient

- All Implemented Interfaces:
    TlsClient, TlsPeer

      public class PSKTlsClient
      extends AbstractTlsClient

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TlsPSKIdentity` | `pskIdentity`

    - ### Fields inherited from class org.bouncycastle.crypto.tls.AbstractTlsClient

      `cipherFactory, clientECPointFormats, context, namedCurves, selectedCipherSuite, selectedCompressionMethod, serverECPointFormats, supportedSignatureAlgorithms`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSKTlsClient(TlsCipherFactory cipherFactory, TlsPSKIdentity pskIdentity)`
    `PSKTlsClient(TlsPSKIdentity pskIdentity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TlsKeyExchange` | `createPSKKeyExchange(int keyExchange)`
    `TlsAuthentication` | `getAuthentication()`
    `TlsCipher` | `getCipher()`
    `int[]` | `getCipherSuites()`
    `TlsKeyExchange` | `getKeyExchange()`

    - ### Methods inherited from class org.bouncycastle.crypto.tls.AbstractTlsClient

      `allowUnexpectedServerExtension, checkForUnexpectedServerExtension, getClientExtensions, getClientHelloRecordLayerVersion, getClientSupplementalData, getClientVersion, getCompression, getCompressionMethods, getMinimumVersion, getSessionToResume, init, isFallback, notifyNewSessionTicket, notifySelectedCipherSuite, notifySelectedCompressionMethod, notifyServerVersion, notifySessionID, processServerExtensions, processServerSupplementalData`

    - ### Methods inherited from class org.bouncycastle.crypto.tls.AbstractTlsPeer

      `notifyAlertRaised, notifyAlertReceived, notifyHandshakeComplete, notifySecureRenegotiation, shouldUseGMTUnixTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.bouncycastle.crypto.tls.TlsPeer

      `notifyAlertRaised, notifyAlertReceived, notifyHandshakeComplete, notifySecureRenegotiation, shouldUseGMTUnixTime`

- - ### Field Detail

    - #### pskIdentity

          protected TlsPSKIdentity pskIdentity

  - ### Constructor Detail

    - #### PSKTlsClient

          public PSKTlsClient(TlsPSKIdentity pskIdentity)

    - #### PSKTlsClient

          public PSKTlsClient(TlsCipherFactory cipherFactory,
                      TlsPSKIdentity pskIdentity)

  - ### Method Detail

    - #### getCipherSuites

          public int[] getCipherSuites()

    - #### getKeyExchange

          public TlsKeyExchange getKeyExchange()
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getAuthentication

          public TlsAuthentication getAuthentication()
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCipher

          public TlsCipher getCipher()
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createPSKKeyExchange

          protected TlsKeyExchange createPSKKeyExchange(int keyExchange)